<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="quiz.QuizActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            app:cardCornerRadius="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/canswer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="30sp"
                    android:textStyle="bold" />

                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/tick" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/hintc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            app:cardCornerRadius="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/hint"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="5"
                    android:textColor="@color/black"
                    android:textSize="30sp"
                    android:textStyle="bold" />

                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/bulb" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <TextView
            android:id="@+id/timer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_centerInParent="true"
            android:text="0 sec"
            android:textColor="@color/black"
            android:textSize="25sp"
            android:textStyle="bold" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentTop="true"
            android:layout_marginTop="-2dp"
            android:layout_marginBottom="110dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="30dp">

                <TextView
                    android:id="@+id/question"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/roboto"
                    android:gravity="center"
                    android:layout_marginBottom="20dp"
                    android:text="Pastikan Internet Anda Aktif!"
                    android:textColor="@color/black"
                    android:textSize="25sp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <androidx.cardview.widget.CardView
                        android:id="@+id/c1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"

                        app:cardCornerRadius="10dp"
                        app:cardElevation="5dp"
                        app:strokeColor="@color/teal_700"
                        app:strokeWidth="2.0dip">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_margin="10dp"
                                android:gravity="center"
                                android:text="A."
                                android:textColor="@color/black"
                                android:textSize="30sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/option1"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="13dp"
                                android:text="Option one"
                                android:textColor="@color/black"
                                android:textSize="26sp" />
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/c2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        app:cardCornerRadius="10dp"
                        app:cardElevation="5dp"
                        app:strokeColor="@color/colorPrimary"
                        app:strokeWidth="2.0dip">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_margin="10dp"
                                android:layout_marginRight="10sp"
                                android:gravity="center"
                                android:text="B"
                                android:textColor="@color/black"
                                android:textSize="30sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/option2"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="13dp"
                                android:text="Option Two"
                                android:textColor="@color/black"
                                android:textSize="26sp" />
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/c3"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        app:cardCornerRadius="10dp"
                        app:cardElevation="5dp"
                        app:strokeColor="@color/colorPrimary"
                        app:strokeWidth="2.0dip">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_margin="10dp"
                                android:layout_marginRight="10sp"
                                android:gravity="center"
                                android:text="C."
                                android:textColor="@color/black"
                                android:textSize="30sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/option3"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="13dp"
                                android:text="Option Three"
                                android:textColor="@color/black"
                                android:textSize="26sp" />
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/c4"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        app:cardCornerRadius="10dp"
                        app:cardElevation="5dp"
                        app:strokeColor="@color/teal_200"
                        app:strokeWidth="2.0dip">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_margin="10dp"
                                android:layout_marginRight="10sp"
                                android:gravity="center"
                                android:text="D"
                                android:textColor="@color/black"
                                android:textSize="30sp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/option4"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="13dp"
                                android:text="Option Four"
                                android:textColor="@color/black"
                                android:textSize="26sp" />
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/next"
                        android:layout_width="180dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_margin="10dp"
                        app:cardBackgroundColor="@color/teal_200"
                        app:cardCornerRadius="5dp"
                        app:cardElevation="5dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center">

                            <TextView
                                android:id="@+id/nt"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_gravity="center"
                                android:layout_margin="10dp"
                                android:text="Selanjutnya"
                                android:textAlignment="center"
                                android:textColor="@color/black"
                                android:textSize="26sp"
                                android:textStyle="bold" />
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>
                </LinearLayout>
            </LinearLayout>
        </ScrollView>


    </RelativeLayout>
</LinearLayout>